<?php
// パーツ基本のテンプレート
$template = <<<END
<!--block_table_yoko:テーブル横-->
<section class="block_table_yoko">
<!--{def item/title}-->
<h2>{val item/title}</h2>
<!--{/def}-->
<div class="scroll-maru">
<table class="ta1-maru">
<!--{def item/label_ary}-->
<tr>
<!--{each item/label_ary}-->
<th>{val item/label_ary}</th>
<!--{/each}-->
</tr>
<!--{/def}-->
<!--{each item/row}-->
<tr>
<!--{each item/row/col}-->
<td>{val item/row/col}</td>
<!--{/each}-->
</tr>
<!--{/each}-->
</table>
</div>
</section>
END;

$block_table_yoko = array(					// ブロック定義
	"title" => "テーブル横",			// ブロックの名称
	"name" => "block_table_yoko",			// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
	"input" => array(				// ブロックの入力定義
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=block_table_yoko",
			"class" => "notice",
		),
		"title" => array(
			"title" => "タイトル",
			"type" => "text",
		),
		"label" => array(
			"title" => "見出し",
			"type" => "text",
			"info" => "「|」で区切ってください",
		),
		"contents" => array(
			"title" => "内容",
			"type" => "textarea",
			"info" => "行が表の1列になります。「|」で区切ってください。",
		),
	),
	"func" => "func_block_table_yoko",						// 処理プログラム（指定がない物は標準処理）
);

// パーツの登録
block_add($block_table_yoko);

// パーツの設定
function func_block_table_yoko($def, $info)
{
	$ary = explode("|", $info["label"]);
	$info["label_ary"] = $ary;
	$ary1 = explode("\n", $info["contents"]);
	$list = array();
	foreach ($ary1 as $v) {
		$ary2 = explode("|", trim($v));
		$list[] = array("col" => $ary2);
	}
	$info["row"] = $list;
	return $info;
}
